PyJavaInstance (Jython API documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class PyJavaInstance

    java.lang.Object
      |
      +--org.python.core.PyObject
            |
            +--org.python.core.PyInstance
                  |
                  +--org.python.core.PyJavaInstance

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

public class PyJavaInstance
extends PyInstance
implements java.io.Externalizable

A wrapper around a java instance.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.python.core.PyInstance
`__dict__`

Fields inherited from class org.python.core.PyObject
`__class__`

Constructor Summary
`PyJavaInstance()`
`PyJavaInstance(java.lang.Object proxy)`
`PyJavaInstance(PyJavaClass iclass)`

Method Summary
`int` | `__cmp__(PyObject o)` Equivalent to the standard Python __cmp__ method.
`void` | `__delattr__(java.lang.String attr)` A variant of the __delattr__ method which accepts a String as the key.
`void` | `__init__(PyObject[] args, java.lang.String[] keywords)`
`PyString` | `__repr__()` Equivalent to the standard Python __repr__ method.
`PyString` | `__str__()` Equivalent to the standard Python __str__ method.
`PyObject` | `_is(PyObject o)` Implements `is` operator.
`PyObject` | `_isnot(PyObject o)` Implements `is not` operator.
`int` | `hashCode()`
`void` | `readExternal(java.io.ObjectInput in)` Implementation of the Externalizable interface.
`void` | `writeExternal(java.io.ObjectOutput out)` Implementation of the Externalizable interface.

Methods inherited from class org.python.core.PyInstance
`__abs__, __add__, __and__, __call__, __coerce_ex__, __complex__, __contains__, __delitem__, __div__, __divmod__, __eq__, __findattr__, __findattr__, __finditem__, __finditem__, __float__, __ge__, __getitem__, __gt__, __hex__, __iadd__, __iand__, __idiv__, __ilshift__, __imod__, __imul__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __ixor__, __jfindattr__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __oct__, __or__, __pos__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rxor__, __setattr__, __setitem__, __sub__, __tojava__, __xor__, invoke_ex, invoke_ex, invoke_ex, invoke_ex, invoke, invoke, invoke`

Methods inherited from class org.python.core.PyObject
`__call__, __call__, __call__, __call__, __call__, __call__, __call__, __coerce__, __delattr__, __delitem__, __delslice__, __delslice__, __dir__, __findattr__, __finditem__, __getattr__, __getattr__, __getitem__, __getslice__, __getslice__, __hash__, __idivmod__, __not__, __pow__, __setattr__, __setitem__, __setitem__, __setslice__, __setslice__, _add, _and, _callextra, _cmp, _div, _divmod, _dodel, _doget, _doget, _doset, _eq, _ge, _gt, _in, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _xor, equals, invoke, invoke, isCallable, isMappingType, isNumberType, isSequenceType, safeRepr`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PyJavaInstance

    public PyJavaInstance()

### PyJavaInstance

    public PyJavaInstance(PyJavaClass iclass)

### PyJavaInstance

    public PyJavaInstance(java.lang.Object proxy)

Method Detail

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Implementation of the Externalizable interface.

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Parameters:
    `in` - the input stream.
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Implementation of the Externalizable interface.

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Parameters:
    `out` - the output stream.
  Throws:
    `java.io.IOException`

### __init__

    public void __init__(PyObject[] args,
                         java.lang.String[] keywords)

  Overrides:
    `__init__` in class `PyInstance`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PyInstance`

### _is

    public PyObject _is(PyObject o)

  Description copied from class: `PyObject`
  Implements `is` operator.

  Overrides:
    `_is` in class `PyObject`
  Returns:
    the result of the comparison

### _isnot

    public PyObject _isnot(PyObject o)

  Description copied from class: `PyObject`
  Implements `is not` operator.

  Overrides:
    `_isnot` in class `PyObject`
  Returns:
    the result of the comparison

### __cmp__

    public int __cmp__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __cmp__ method.

  Overrides:
    `__cmp__` in class `PyInstance`
  Parameters:
    `o` - the object to compare this with.
  Returns:
    -1 if this < 0; 0 if this == o; +1 if this > o; -2 if no comparison is implemented

### __str__

    public PyString __str__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __str__ method. This method should not typically need to be overridden. The easiest way to configure the string representation of a `PyObject` is to override the standard Java `toString` method.

  Overrides:
    `__str__` in class `PyInstance`

### __repr__

    public PyString __repr__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __repr__ method. This method should not typically need to be overrriden. The easiest way to configure the string representation of a `PyObject` is to override the standard Java `toString` method.

  Overrides:
    `__repr__` in class `PyInstance`

### __delattr__

    public void __delattr__(java.lang.String attr)

  Description copied from class: `PyObject`
  A variant of the __delattr__ method which accepts a String as the key. This String must be interned. By default, this will call `__delattr__(PyString name)` with the appropriate args. The only reason to override this method is for performance.

  Overrides:
    `__delattr__` in class `PyInstance`
  Parameters:
    `attr` - the name which will be removed - must be an interned string .
  See Also:
    `PyObject.__delattr__(PyString)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage